diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
index 370dfaf5..a3e40ef7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/__init__.py
@@ -350,6 +350,9 @@ class PartitionsView(BaseTableView, DataTypeReader, SchemaDiffObjectCompare):
 
         status, res = self._fetch_properties(did, scid, tid, ptid)
 
+        if not status:
+            return res
+
         if len(res['rows']) == 0:
             return gone(self.not_found_error_msg())
 
@@ -461,6 +464,9 @@ class PartitionsView(BaseTableView, DataTypeReader, SchemaDiffObjectCompare):
 
         status, res = self._fetch_properties(did, scid, tid, ptid)
 
+        if not status:
+            return res
+
         if len(res['rows']) == 0:
             return gone(self.not_found_error_msg())
 
@@ -637,6 +643,9 @@ class PartitionsView(BaseTableView, DataTypeReader, SchemaDiffObjectCompare):
         if ptid is not None:
             status, res = self._fetch_properties(did, scid, tid, ptid)
 
+            if not status:
+                return res
+
         SQL, name = self.get_sql(did, scid, ptid, data, res)
         SQL = re.sub('\n{2,}', '\n\n', SQL)
         SQL = SQL.strip('\n')
@@ -678,6 +687,9 @@ class PartitionsView(BaseTableView, DataTypeReader, SchemaDiffObjectCompare):
         try:
             status, res = self._fetch_properties(did, scid, tid, ptid)
 
+            if not status:
+                return res
+
             return super(PartitionsView, self).update(
                 gid, sid, did, scid, ptid, data=data, res=res, parent_id=tid)
         except Exception as e:
diff --git a/web/pgadmin/static/js/tree/tree_nodes.ts b/web/pgadmin/static/js/tree/tree_nodes.ts
index 50e775ec..670f6a3c 100644
--- a/web/pgadmin/static/js/tree/tree_nodes.ts
+++ b/web/pgadmin/static/js/tree/tree_nodes.ts
@@ -171,6 +171,7 @@ export class ManageTreeNodes {
      }
      _path = _parent;
     }
+    _partitions = _partitions.reverse();
     // Replace the table with the last partition as in reality partition node is not child of the table
     if(_partitions.length > 0) _parent_path[0]  = _partitions[_partitions.length-1];
 
